%define tarname	rosa
%define _name	rosa

Name:		rosa-icon-theme
Version:	1.0.42
Release:	%mkrel 1
Summary:	ROSA icons theme
Summary(fr_FR):	Thème d'icônes ROSA
License:	GPLv2
Group:		Graphical desktop/Other
URL:		www.rosalinux.com
Source0:	%{tarname}-%{version}.tar.xz
Source1:	kdenlive-actions.tar.xz
BuildArch:	noarch

BuildRequires:	fdupes 
BuildRequires:	inkscape

Requires:	gnome-icon-theme
Requires(post):	gtk+2.0

%description
ROSA icon theme is high quality icon theme for KDE, GNOME and Xfce.
It is part of ROSA theme pack - theme for ROSA Desktop distribution.
Initially based on the original icon theme Elementary by Daniel Fore
(Dan Rabbit).

%description -l fr_FR
Thème d'icônes ROSA est un thème d'icônes de haute qualité pour KDE, 
GNOME et Xfce. Il fait partie du pack de thèmes de ROSA - thème de la 
distribution ROSA Desktop.
Initialement basé sur l'original thème d'icônes Elementary 
par Daniel Fore (Dan Rabbit).

%prep
%setup -q -n %{_name}-%{version}
tar xJf %{SOURCE1}

%build 

%install
mkdir -p %{buildroot}%{_datadir}/icons/%{_name}
cp -rf ./* %{buildroot}%{_datadir}/icons/%{_name}
rm -f %{buildroot}%{_datadir}/icons/%{_name}/COPYING
rm -f %{buildroot}%{_datadir}/icons/%{_name}/AUTHORS
rm -f %{buildroot}%{_datadir}/icons/%{_name}/CONTRIBUTORS

#for ghost
touch %{buildroot}%{_datadir}/icons/%{_name}/icon-theme.cache

# An ugly hack to work with Ikscape.
# TODO: Neccessary find a real problem!
cd %{buildroot}%{_datadir}/icons/%{_name}/places/16

for i in `ls`
do
    echo "Converting $i to plain SVG."
    inkscape -l $i $i
done
# devices icons should be converted too
cd %{buildroot}%{_datadir}/icons/%{_name}/devices/16
for i in `ls`
do
    echo "Converting $i to plain SVG."
    inkscape -l $i $i
done

%fdupes -s %{buildroot}%{_datadir}/icons/%{_name}

%post
%update_icon_cache rosa

%files
%doc COPYING AUTHORS CONTRIBUTORS
%dir %{_datadir}/icons/%{_name}
%{_datadir}/icons/%{_name}/*/
%{_datadir}/icons/%{_name}/index.theme
%ghost %{_datadir}/icons/%{_name}/icon-theme.cache


%changelog

* Sun Jun 09 2013 david.david (MLO Team) <david.david> 1.0.42-1.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package from ROSA
- add french language in %%description and %%Summary
- version: 1.0.42